Mise à jour de libc6

Tags: #<Tag:0x00007f3b8febbb40> #<Tag:0x00007f3b8febba00>

Bonjour

En voulant installer php7.4 j’ai tenté de mettre à jour libc6 vers la version 2.31-13, puisque j’avais la version 2.24-11+deb9u4

Donc j’ai trouvé le paquet et j’ai fait dpkg -i --auto-deconfigure libc6_2.31-13_amd64.deb
Sauf que maintenant plus rien ne fonctionne, même plus le serveur SSH…

J’y connais pas grand chose mais je sais que maintenant je suis bien embêté, donc j’aimerais retourner à mon ancienne version de libc6 et ne plus toucher à rien ! Mais je ne sais pas comment m’y prendre.

Quelqu’un sait-il comment annuler purement et simplement ma maj foireuse s’il vous plaît ?

Merci pour votre temps !

Reinstalle ça ira plus vite que de sordides manipulations
libc6 c’est la mère des bibiothèques
https://packages.debian.org/fr/buster/libc6
=> pas toucher :rofl:

C’est attendu, libc6 est un paquet qu’on ne peut pas simplement remplacer sans recompiler les logiciels qui en dépendent.

Est-ce que dpkg fonctionne encore ? Si oui, tu peux récupérer la version Stretch de libc6 ici et l’installer de la même manière que tu l’avais fait pour la version qui te pose souci.


La prochaine fois que tu tentes ça, passe plutôt par ce dépôt tiers qui est prévu pour : https://deb.sury.org/

1 J'aime